.\" Copyright (c) 1990, 1991, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" This code is derived from software contributed to Berkeley by
.\" Chris Torek and the American National Standards Committee X3,
.\" on Information Processing Systems.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"	This product includes software developed by the University of
.\"	California, Berkeley and its contributors.
.\" 4. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     @(#)strxfrm.3	8.1 (Berkeley) 6/4/93
.\"
.Dd June 4, 1993
.Dt STRXFRM 3
.Os
.Sh NAME
.Nm strxfrm
.Nd transform a string under locale
.Sh SYNOPSIS
.Fd #include <string.h>
.Ft size_t
.Fn strxfrm "char *dst" "const char *src" "size_t n"
.Sh DESCRIPTION
The
.Fn strxfrm
function transforms a null-terminated string pointed to by
.Fa src
according to the current locale collation if any,
then copies not more than
.Fa n-1
characters of the resulting string into
.Fa dst ,
terminating it with a null character and then returns the resulting length.
Comparing two strings using
.Fn strcmp
after
.Fn strxfrm
is equal to comparing
two original strings with
.Fn strcoll .
.Sh BUGS
Sometimes the behavior of this function is unpredictable.
.Sh SEE ALSO
.Xr setlocale 3 ,
.Xr strcmp 3 ,
.Xr strcoll 3
.Sh STANDARDS
The
.Fn strxfrm
function
conforms to
.St -ansiC .
